> ## Documentation Index
> Fetch the complete documentation index at: https://docs.horay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model List

> Retrieve models information.



## OpenAPI

````yaml get /models
openapi: 3.0.0
info:
  title: Horay.ai API
  description: The Horay.ai REST API
  version: 1.0.0
  contact:
    name: Horay.ai Support
    url: https://www.horay.ai/
  license:
    name: MIT
    url: https://github.com/horayai/OpenAPI/blob/main/LICENSE.txt
servers:
  - url: https://api.horay.ai/v1
security:
  - bearerAuth: []
paths:
  /models:
    get:
      tags:
        - Models
      summary: Get Model List
      description: Retrieve models information.
      operationId: Retrieve a list of models.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    example: list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: meta-llama/Meta-Llama-3.1-8B-Instruct
                        object:
                          type: string
                          example: model
                        created:
                          type: integer
                          example: 0
                        owned_by:
                          type: string
                          example: ''
                        max_output_tokens:
                          type: integer
                          example: 4096
                        context_length:
                          type: integer
                          example: 32768
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '429':
          description: RateLimit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '503':
          description: Overloaded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '504':
          description: Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
      deprecated: false
components:
  schemas:
    StringData:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````